Name:		vips
Version:	7.10.21
Release:	1%{?dist}
Summary: 	Library for processing large images

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.vips.ecs.soton.ac.uk/
Source0:	http://www.vips.ecs.soton.ac.uk/vips-7.10/%{name}-%{version}.tar.gz

Patch0:		vips-7.10.20-no-undef-vipsCC.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libjpeg-devel libtiff-devel zlib-devel fftw-devel lcms-devel
BuildRequires:	libpng-devel glib2-devel ImageMagick-devel pango-devel
BuildRequires:	pkgconfig gettext perl(XML::Parser)
BuildRequires:	libtool
#Requires:


%description
VIPS is an image processing library. It is good for very large images
(even larger than the amount of RAM in your machine), and for working
with color.

This package should be installed if you want to use a program compiled
against VIPS.


%package devel
Summary:	Development tools for programs for processing large images
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig
Requires:	libjpeg-devel libtiff-devel zlib-devel fftw-devel lcms-devel
Requires:	libpng-devel glib2-devel ImageMagick-devel pango-devel

%description devel
The vips-devel package contains the header files and
libraries necessary for developing programs using VIPS. It also
contains a C++ API and development man pages.


%package tools
Summary:	Command-line tools for processing large images
Group:		Applications/Multimedia

%description tools
The vips-tools package contains command-line tools for working with VIPS.


%package doc
Summary:	Documentation for VIPS image processing library
Group:		Documentation

%description doc
The %{name}-doc package contains extensive documentation about VIPS in both
HTML and PostScript formats.


%prep
%setup -q

# link libvipsCC to libvips, so prelinking can work
%patch -P 0 -p1 -b .no-undef-vipsCC


%build
%configure --disable-static
make %{?_smp_mflags} LIBTOOL=libtool


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# delete libtool files
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la

# delete static files (built because of LIBTOOL=libtool above)
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.a

# delete doc (we will get it later with %doc)
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/vips

# malkovich??
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/locale/malkovich

# locale stuff
%find_lang vips7


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files -f vips7.lang
%defattr(-,root,root,-)
%doc AUTHORS THANKS TODO COPYING ChangeLog
%{_libdir}/*.so.*
%{_datadir}/vips


%files devel
%defattr(-,root,root,-)
%{_includedir}/vips
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%files tools
%{_bindir}/*
%{_mandir}/man1/*


%files doc
%doc doc/html doc/ps



%changelog
* Thu Aug 31 2006 Adam Goode <adam@spicenitz.org> - 7.10.21-1
- New upstream release

* Fri Jul 28 2006 Adam Goode <adam@spicenitz.org> - 7.10.20-3
- Include results of running automake in the patch for undefined symbols
- No longer run automake or autoconf (autoconf was never actually necessary)

* Mon Jul 24 2006 Adam Goode <adam@spicenitz.org> - 7.10.20-2
- Eliminate undefined non-weak symbols in libvipsCC.so

* Fri Jul 21 2006 Adam Goode <adam@spicenitz.org> - 7.10.20-1
- New upstream release
- Updated for FC5

* Tue Dec 14 2004 John Cupitt <john.cupitt@ng-london.org.uk> 7.10.8
- updated for 7.10.8
- now updated from configure
- implicit deps and files

* Wed Jul 16 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.10
- updated for 7.8.10
- updated %%files
- copies formatted docs to install area

* Wed Mar 12 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.8
- updated for 7.8.8, adding libdrfftw

* Mon Feb 3 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.7-2
- hack to change default install prefix to /usr/local

* Thu Jan 30 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.7-1
- first stab at an rpm package for vips
